export const title = "GPG Key";

export const description = "Information about my public GPG key and how to obtain it.";

const gpgFingerprint = `
pub   ed25519/E48D7F49A852F112 2023-07-14 [SC]
      Key fingerprint = DBD3 8E38 4B9E 1F4F 19F9  5BAE E48D 7F49 A852 F112
uid                 Foster Hangdaan <foster@hangdaan.email>
`;

export default function() {
  return (
    <>
      <section>
        <h2>Intro</h2>
        <p>
          Before proceeding, I suggest reading up on GPG if you are unfamiliar with it.
          You can find more information about GPG on the <a href="https://gnupg.org/" target="_blank">GnuPG official website</a>.
        </p>
        <p>You can utilize the public key here to verify software and binaries released by me.</p>
        <p>
          You can also use the key to encrypt emails you send to me. In that case, I would also need your public key so I can encrypt the emails I send back to you.
          The excellent <a href="https://emailselfdefense.fsf.org/" target="_blank">Email Self-Defense Guide by the Free Software Foundation</a> describes how this process works.
        </p>
        <blockquote>
          <p>
            <strong className="highlight">NOTE: </strong>
            I do not use keyservers.
            This is the only place where I provide my public key.
            A key claiming to be mine somewhere else is definitely a fake.
          </p>
        </blockquote>
      </section>
      <section>
        <h2>Obtaining my key</h2>
        <p>
          Start by downloading my key: <a href="https://static.fosterhangdaan.com/foster-pubkey.asc" target="_blank" download>Foster Hangdaan's Public Key</a>.
        </p>
        <p>
          Ensure that the key's fingerprint matches the one below:
        </p>
        <pre>
          <code>
            {gpgFingerprint.trim()}
          </code>
        </pre>
        <p>If the fingerprints match, import the key so that it's ready for use.</p>
      </section>
    </>
  );
}
